List document's dynamic fields
<small>Requires an API token with the Document Reader role.</small>
Lists a document's dynamic fields and their values.
Filtering
The dynamic field list can be filtered by visibility. The available filter attributes are listed under filter
in the Query Parameters section of this page.
To specify filters, use array notation in the request query string to specify one or more filter values.
For example, to filter for only fields that appear in the rendered document content, the query string should contain:
filter[visibility]=visible
Entries with the
multi_selectvalue type are only included in the response if you are using API version2026-04-02or newer.
Filters the returned fields by whether they appear in the document. visible returns only fields that
are rendered into the document's content, or, for PDF-based documents, placed on one of its pages.
not_visible returns only fields that are not, including fields that are referenced by a condition but
never rendered. The default is all, which returns every field.
all, visible, not_visibleResponse
Array of DynamicFieldResource
More in Document Operations
GETShow documentPUTUpdate documentDELDelete documentGETShow latest revision PDF detailsStill need help? Share an idea